FUNCTION OPERATOR!(3)

NAME
boost::logic::operator! - Computes the logical negation of a tribool.

SYNOPSIS

// In header: <boost/logic/tribool.hpp>
tribool operator!(tribool x);

DESCRIPTION

Returns:
    the logical negation of the tribool, according to the table:
    ! |
    false | true
    true | false
    indeterminate | indeterminate

Throws:
    Will not throw.